Bug 1790581 - Use update-alternatives for /usr/bin/cc and /usr/bin/c++
Summary: Use update-alternatives for /usr/bin/cc and /usr/bin/c++
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 16:46 UTC by Ben Cotton
Modified: 2021-02-12 21:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-10 23:48:30 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-01-13 16:46:32 UTC
This is a tracking bug for Change: Use update-alternatives for /usr/bin/cc and /usr/bin/c++
For more details, see: https://fedoraproject.org/wiki/Changes/Use-Update-Alternatives-For-usr-bin-cc

Modify the gcc package so that the /usr/bin/cc and /usr/bin/c++ symlinks are managed by update-alternatives.

Comment 1 Ben Cotton 2020-02-11 18:13:56 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 2 Ben Cotton 2020-02-13 17:10:51 UTC
Looks like I didn't set the assignee appropriately

Comment 3 Ben Cotton 2020-02-24 18:38:47 UTC
Deferring to F33 per FESCo decision https://meetbot.fedoraproject.org/sresults/fesco.2020-02-24-15.00.log.html#l-313

Comment 4 Ben Cotton 2020-08-11 13:10:29 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 5 Ben Cotton 2020-08-22 00:49:33 UTC
Deferred to F34 by FESCo

Comment 6 Ben Cotton 2021-02-09 14:58:50 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 7 Tom Stellard 2021-02-10 23:48:30 UTC
The patch was not merged into gcc, so closing this bug.


Note You need to log in before you can comment on or make changes to this bug.